Name:           kate-site-preview-plugin
Version:        0.1.0
Release:        0
License:        LGPLv2
Summary:        Preview your statically generated website
Url:            https://invent.kde.org/redstrate/site-preview-kate
Source0:        https://invent.kde.org/redstrate/site-preview-kate/-/archive/master/site-preview-kate-master.tar.gz

BuildRequires:  cmake
BuildRequires:  extra-cmake-modules
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  git

BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6GuiAddons)
BuildRequires:  cmake(KF6TextEditor)

BuildRequires:  cmake(Qt6WebEngineWidgets)

%description
Preview your statically generated website

%prep
%autosetup -c -p1

%build
cd site-preview-kate-master
%cmake_kf6
%cmake_build

%install
cd site-preview-kate-master
%cmake_install


%files
%doc site-preview-kate-master/README.md

%{_libdir}/plugins/kf6/ktexteditor/sitepreviewplugin.so

%changelog
%autochangelog
